MKDIR(1)

NOM
mkdir - Créer des répertoires

SYNOPSIS
mkdir [options] repertoire...

Options POSIX : [-p] [-m mode] [--]

Options GNU (versions courtes) : [-p] [-m mode] [--verbose] [--help] [--version] [--]

DESCRIPTION
mkdir crée un répertoire correspondant à chacun des noms mentionnés.

Par défaut, les répertoires sont créés avec les permissions d'accès 0777 moins les bits positionnés dans le umask.

OPTIONS

-m mode, --mode=mode
    Créer les répertoires avec le mode d'accès indiqué. Celui-ci est donné sous forme symbolique, comme dans chmod (1) en utilisant le mode par défaut comme valeur de départ.

-p, --parents
    Créer les répertoires parents s'ils manquent. Ils sont créés avec l'autorisation d'accès umask modifiée par « u+wx ». Ne pas considérer les répertoires déjà existants comme des erreurs. Ainsi, si le répertoire /a existe, alors « mkdir /a » est une erreur, mais « mkdir -p /a » n'en est pas une.

--verbose
    Afficher un message pour chaque répertoire créé. Ceci est essentiellement utile en conjonction avec l'option --parents.

--  Fin explicite de la liste des options.

OPTIONS STANDARDS GNU

--help
    Afficher un message d'aide sur la sortie standard, et se terminer normalement.

--version
    Afficher un numéro de version sur la sortie standard, et se terminer normalement.

ENVIRONNEMENT
Les variables d'environnement LANG, LC_ALL, LC_CTYPE et LC_MESSAGES ont leur signification habituelle.

CONFORMITÉ
POSIX.2

NOTES
Cette page décrit la version de mkdir trouvée dans le paquetage fileutils-4.0, d'autres versions peuvent différer légèrement.

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 20 décembre 1996 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 mkdir ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.